

player_init.inventory = {
  width = 10,
  height = 5,
}
player_init.inventory.size = player_init.inventory.width * player_init.inventory.height

-- set the formspec size
pmb_inventory.player.set_size(player_init.inventory.width, player_init.inventory.height)

minetest.register_on_joinplayer(function(player)
  pmb_inventory.player.init_hotbar(player)
  local inv = player:get_inventory()
  inv:set_size("main", player_init.inventory.size)
  inv:set_size("armor", 4)
  inv:set_size("accessories", 1)
  player:set_nametag_attributes({
    -- text = " ",
    color = "#ffffff50",
    bgcolor = "#ffffff00"
  })
  player:set_armor_groups({
      pierce=100,
      slash=100,
      blunt=100,
      magic=100,
      poison=100,
  })
end)
